Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008259TestLinkAPI - XMLRPCpublic2018-05-08 19:512018-10-06 12:17
Reporterlczub 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.9.18 (2018 Q3) 
Summary0008259: new 1.9.17 xmlrpc.class function getAllExecutionsResults not callable via XMLRPC api
DescriptionTL 1.9.17 defines in xmlrpc.class.php the new public function getAllExecutionsResults

trying to call this function as XMLRPC api request returns a server error:
- requested method tl.getAllExecutionsResults does not exist.
Additional InformationReason is, that in xmlrpc.class.php function initMethodYellowPages() following definition is missing:
'tl.getAllExecutionsResults' => 'this:getAllExecutionsResults',
TagsNo tags attached.
Database (MySQL,Postgres,etc)pg 9.6
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0008241closedfman Availables hot-fixes for 1.9.17 & How To get full fixed package from GitHub 

-  Notes
(0027447)
fman (administrator)
2018-05-12 07:31

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/57e4a49cbbbd7f556477f5cd731b40c06d093e22 [^]
(0027956)
fman (administrator)
2018-10-06 12:17

1.9.18 released

- Issue History
Date Modified Username Field Change
2018-05-08 19:51 lczub New Issue
2018-05-12 07:31 fman Note Added: 0027447
2018-05-12 07:31 fman QA Team - Task Workflow Status => READY FOR TESTING
2018-05-12 07:31 fman Status new => resolved
2018-05-12 07:31 fman Fixed in Version => 1.9.18 (2018 Q3)
2018-05-12 07:31 fman Resolution open => fixed
2018-05-12 07:31 fman Assigned To => fman
2018-05-12 07:32 fman Relationship added child of 0008241
2018-10-06 12:17 fman Note Added: 0027956
2018-10-06 12:17 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker